%HEPATITIS 155 objects with 19 features in 2 classes
%
%             X = HEPATITIS
%
% The hepatitis database from UCI to predict if the patient will live or
% die.
%
%             X = HEPATITIS(VAL)
%
% By default objects with missing values are removed. When something else
% is desired, use one of the options in MISVAL.
%
% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
% PRTOOLS, DATASETS, MISVAL

% Copyright: R.P.W. Duin

function x = hepatitis(val);

prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/hepatitis.dat');
if nargin<1
	val = 'remove';
end

user.desc = 'The hepatitis database from UCI to predict if the patient will live or die.';
user.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/hepatitis/';
cl = {'die' 'live'};
fl = {'age' 'sex' 'steroid' 'antivirals' 'fatigue' 'malaise' ...
'anorexia' 'liver big' 'liver firm' 'spleen palpable' 'spiders' ...
'ascites' 'varices' 'bilirubin' 'alk phosphate' 'sgot' 'albumin' ...
'protime' 'histology'};

a = load('hepatitis.dat');
x = pr_dataset(a(:,2:end),cl(a(:,1)));
x = setfeatlab(x,fl);
x = setname(x,'Hepatitis');
[x,msg] = misval(x,val);
user.desc = [user.desc msg];
x = setuser(x,user);
